
Class WebCache/Lazy -superclass WebCache

WebCache/Lazy public should_recover { source cid sseq eseq } {
	$self instvar sockets_ 

	# recover only if this cache has a pending request from
	# the browser. otherwise, we do not recover and can always
	# do a downcall if we need the data later.
	
	set url [$self cid_2_name $source $cid]
	if { $url != "" && [info exists sockets_($url)] } {
		puts "wc: should_recover yes $cid $url"		
		return 1
	} else {
		puts "wc: should_recover no $cid $url"
		
		# need to remember all the holes in this name
		# srm does not keep track of it
		
		
		return 0
	}
}


WebCache/Lazy public get { url { socket "" } } {

}

