

FCA_Packet instproc lappend { varname value } {
    $self instvar $varname
    lappend $varname $value
}


FCA_Packet instproc lindex { varname index } {
    $self instvar $varname
#    DbgOut "inside lindex: [$self set $varname] \
#	    [lindex [set $varname] $index]"
    return [lindex [set $varname] $index]
}


FCA_Packet instproc destroy { } {
    # hack to allow me to destroy all sub-objects as well
    # all sub-objects are defined to have a varname that starts with "pkt"

    foreach var [$self info vars] {
	if { [string match pkt* $var] && $var!="pktType" } {
	    # we found (possibly) a list of packets; delete all of them
	    foreach pkt [$self set $var] {
		delete $pkt
	    }
	}
    }
    $self next
}
