import RTPApplication
import ScSpatialCombiner

Class SpatApp -superclass RTPApplication

SpatApp instproc init args {
    $self next spat_app

    $self init_resources;

    [$self options] register_option -comm_id comm_id
    [$self options] register_option -cntrl_spec cntrl_spec
    
    eval [$self options] parse_args $args;

    $self instvar spat_obj_
    
    set spat_obj_ [new ScSpatialCombiner [$self get_option comm_id] [$self get_option cntrl_spec]];
}

SpatApp instproc init_resources {} {
    $self add_option network ip
    $self add_option mtu 1024
    $self add_option defaultTTL 32
    $self add_option sessionType rtpv2
    $self add_option maxVideoSessionBW 30000000
    $self add_option comm_id spat_comb
    $self add_option cntrl_spec 224.3.2.1/22334/16
}

set app [new SpatApp $argv];

puts "SpatialCombiner running on [exec hostname]";

if {![info exists tk_version]} {
    vwait forever;
}